 /**
 * v-hasPermi 操作权限处理
 * Copyright (c) 2026 lingniu
 */
import {unifiedLoginSDK} from "oauth2-login-sdk";

export default {
  mounted(el: HTMLElement, binding: DirectiveBinding, vnode: any) {
    const { value } = binding
    const all_permission = "*:*:*"
    const permissions = unifiedLoginSDK.getUserInfo().permissions

    if (value && value instanceof Array && value.length > 0) {
      const permissionFlag = value

      const hasPermissions = permissions?.some((permission: string) => {
        return all_permission === permission || permissionFlag.includes(permission)
      })

      if (!hasPermissions) {
        el.parentNode && el.parentNode.removeChild(el)
      }
    } else {
      throw new Error(`请设置操作权限标签值`)
    }
  }
}
